Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# CFGn

## Name

CFGn -- generate 'configure n meters' command byte

## Synopsis

    #include <gpib/ib.h>

``uint8_t CFGn`(unsigned int num_meters);`

## Description

CFGn() returns a 'configure n meters' command byte corresponding to the `num_meters` argument. `num_meters` (valid values are 1 through 15) specifies how many meters of cable are in your system. This is necessary in before high speed non-interlocked handshaking (a.k.a. HS488) can be used on the bus. The CFGn command byte must be preceded by a CFE command byte to take effect.

## Return value

The appropriate CFGn command byte is returned.

Prev | Home | Next
AsyncIbsta | Up | GetPAD